(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)
(*  Soubor: RETEZCE.PAS                                                    *)
(*  Obsah: procedury a funkce pro operace s retezci                        *)
(*  Autor: Mircosoft                                                       *)
(*  Posledni uprava: 23.8.2004                                             *)
(*  Pro kompilaci: nic                                                     *)
(*  Pro spusteni: nic                                                      *)
(*  Upozorneni: tyto zdrojove kody pouzivate na vlastni nebezpeci          *)
(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)
unit Retezce;
interface

function NaStr(a:longint):string;
{prevede parametr na retezec}
function NaStr2(a:longint;NaKolik:byte):string;
{to same, ale zadava se i pozadovana delka vysledneho retezce}
function StringUp(s:string):string;
{vraci retezec s prevedeny na velka pismena (nebere diakritiku)}
function StringDown(s:string):string;
{vraci retezec s prevedeny na mala pismena (nebere diakritiku)}
const BezDiakritiky:boolean=false;
function BHC(s:string):string;
{Vraci retezec S bez hacku a carek. Pouziti: kdykoli pisete nejaky text, piste
ho takhle: write(bhc('neco')); kdyz bude konstanta BezDiakritiky rovna False,
nic se nestane a text se nezmeni, a kdyz bude True (nastavi treba uzivatel),
aplikuje se funkce BHC. Pro pripady, kdy neni k dispozici ceska znakova sada
a zobrazuji se paznaky.}

implementation

function nastr(a:longint):string;
var vysl:string;
Begin
str(a,vysl);
nastr:=vysl;
End;{nastr}

function nastr2(a:longint;nakolik:byte):string;
var vysl:string;
Begin
str(a:nakolik,vysl);
nastr2:=vysl;
End;{nastr2}

function stringup(s:string):string;         {by Istk Attila}
var i:byte;
Begin                       {tenhle postup by mel byt rychlejsi nez Upcase}
for i:=1 to byte(s[0]){=length(s)} do
 if s[i] in ['a'..'z'] then s[i]:=char(byte(s[i])-32){=chr(ord(...};
stringup:=s;
End;{stringup}

function stringdown(s:string):string;       {by Istk Attila}
var i:byte;
Begin
for i:=1 to byte(S[0]) do
 if s[i] in ['A'..'Z'] then s[i]:=char(byte(s[i])+32);
stringdown:=s;
End;{stringdown}

function BHC(s:string):string;
var b:byte;
Begin
if bezdiakritiky then
for b:=1 to byte(s[0]) do
     if s[b]=''then s[b]:='r'
else if s[b]=''then s[b]:='i'
else if s[b]=''then s[b]:='s'
else if s[b]=''then s[b]:='z'
else if s[b]=''then s[b]:='t'
else if s[b]=''then s[b]:='c'
else if s[b]=''then s[b]:='y'
else if s[b]=''then s[b]:='u'
else if s[b]=''then s[b]:='n'
else if s[b]=''then s[b]:='u'
else if s[b]=''then s[b]:='e'
else if s[b]=''then s[b]:='d'
else if s[b]=''then s[b]:='a'
else if s[b]=''then s[b]:='e'
else if s[b]=''then s[b]:='o'
else if s[b]=''then s[b]:='R'
else if s[b]=''then s[b]:='I'
else if s[b]=''then s[b]:='S'
else if s[b]=''then s[b]:='Z'
else if s[b]=''then s[b]:='T'
else if s[b]=''then s[b]:='C'
else if s[b]=''then s[b]:='Y'
else if s[b]=''then s[b]:='U'
else if s[b]=''then s[b]:='N'
else if s[b]=''then s[b]:='U'
else if s[b]=''then s[b]:='E'
else if s[b]=''then s[b]:='D'
else if s[b]=''then s[b]:='A'
else if s[b]=''then s[b]:='E'
else if s[b]=''then s[b]:='O';
BHC:=s;
End;{BHC}

END.