(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)
(*  Soubor: VGASTART.PAS                                                   *)
(*  Obsah: procedury pro start a konec grafickeho rezimu                   *)
(*         automaticky start grafickeho rezimu 640*480*16                  *)
(*  Posledni uprava: 31.10.2004                                            *)
(*  Autor: Mircosoft                                                       *)
(*  Pro kompilaci: ERRMSG.TPU/PAS, GLOBAL.TPU/PAS, GRAPH.TPU, EGAVGA.OBJ   *)
(*  Pro spusteni: nic                                                      *)
(*  Upozorneni: tyto zdrojove kody pouzivate na vlastni nebezpeci          *)
(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)
unit VGAstart;
interface

procedure StartGrafiky;
{nastartuje graficky rezim VGA (640*480, 16 barev)}
procedure KonecGrafiky;
{Ukonceni grafickeho rezimu a prislusna uprava global_grafrezim.}

implementation
uses errmsg,graph,global;

procedure ovladacVGA; external; {$L EGAVGA.OBJ}
{Takhle vypada zabudovani grafickeho ovladace. Je potreba, abyste v adresari
s Pascalem meli soubor EGAVGA.OBJ (jen pro kompilaci, pak uz neni nutny).
Ten vytvorite pomoci programu BINOBJ.EXE nasledovne:
 BINOBJ EGAVGA.BGI EGAVGA.OBJ ovladacVGA
Toto napiste treba do Prikazoveho radku.Prvni parametr je puvodni BGI ovladac,
druhy jmeno vysledneho souboru, ktery uz jde prilepit na program a treti je
jmeno, pod jakym ho budete v programech prezentovat. Muzete ho prejmenovat,
ale musi byt stejne jako jmeno vyse uvedene procedury, kterou byste museli
prejmenovat taky.}

procedure startgrafiky;
var gd,gm:integer;
Begin
if registerbgidriver(@ovladacVGA)<0
 then chyba('Mate vubec grafickou kartu?',0){tohle snad ani nemuze nastat, ale co kdyby...}
 else begin
      gd:=gdVGA;{9} gm:=gm640x480x16;{2} {tytez hodnoty obvykle vraci procedura detectgraph}
      initgraph(gd,gm,'');{graficky ovladac je zabudovany primo v programu, takze
                             se o treti parametr nemusime starat}
    if graphresult<>0 then chyba('Nepovedlo se spustit graficky rezim. Vase graficka karta zrejme neni kompatibilni s VGA.',0);
      global_grafrezim:=(gdVGA shl 8) or gm640x480x16;{aby ostatni programy nemusely slozite testovat graficky rezim}
      end;
End;{startgrafiky}

procedure KonecGrafiky;
Begin
closegraph;
global_grafrezim:=gm80x25x16;
End;{konecgrafiky}

BEGIN
startgrafiky;
END.